Kadry
Early access
Company API v4 is the next-generation API and is under active development. Endpoints and fields may still change.
List all compliance case documents
Returns a list of compliance case documents
Returns a list of compliance case documents
Query Parameters
page?integer
Page offset to fetch.
Format
int32Default
1per_page?integer
Number of results to return per page.
Format
int32Default
50offset?integer
Pad a number of results.
Format
int32Default
0employee_ids?array<>
Filter by employee IDs
compliance_case_ids?array<>
Filter by compliance case IDs
statuses?array<>
Filter by compliance case document status. Allowed values: unverified, verified, signed
pending_upload?boolean
Filter to only documents that require a file upload and don't have one yet
Response Body
application/json
curl -X GET "https://example.com/api/v4/compliance/compliance_case_documents"{ "data": [ { "id": 0, "compliance_case_id": 0, "employee_id": 0, "compliance_process_document_id": 0, "status": "unverified", "verified_at": "2019-08-24T14:15:22Z", "attachment": { "url": "string", "expires_at": "2019-08-24T14:15:22Z" }, "pending_upload": true, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } ], "metadata": { "page": 0, "per_page": 0, "total_pages": 0, "total_count": 0 }}